IOSS 2.0

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Json::CharReaderBuilder Class Reference

Build a CharReader implementation. More...

`#include <json.h>`

## Public Member Functions
| CharReaderBuilder ()
virtual | ~CharReaderBuilder ()
virtual CharReader * | newCharReader () const
| Allocate a CharReader via operator new(). More...
bool | validate (Json::Value *invalid) const
Value & | operator[] (std::string key)
Public Member Functions inherited from Json::CharReader::Factory
virtual | ~Factory ()

## Static Public Member Functions
static void | setDefaults (Json::Value *settings)
static void | strictMode (Json::Value *settings)

## Public Attributes
Json::Value | settings_

## Detailed Description

Build a CharReader implementation.

Usage:

using namespace Json;
CharReaderBuilder builder;
builder["collectComments"] = false;
Value value;
std::string errs;
bool ok = parseFromStream(builder, std::cin, &value, &errs);

## Constructor & Destructor Documentation

## ◆ CharReaderBuilder()

Json::CharReaderBuilder::CharReaderBuilder | ( |  | ) |

## ◆ ~CharReaderBuilder()

virtual Json::CharReaderBuilder::~CharReaderBuilder | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ newCharReader()

virtual CharReader* Json::CharReaderBuilder::newCharReader | ( |  | ) | const
| virtual

Allocate a CharReader via operator new().

Exceptions

  std::exception | if something goes wrong (e.g. invalid settings)

Implements Json::CharReader::Factory.

## ◆ operator[]()

Value& Json::CharReaderBuilder::operator[] | ( | std::string | key | ) |

A simple way to update a specific setting.

## ◆ setDefaults()

static void Json::CharReaderBuilder::setDefaults | ( | Json::Value * | settings | ) |
| static

Called by ctor, but you can use this to reset settings_.

Precondition
  'settings' != NULL (but Json::null is fine)

Remarks
  Defaults:

## ◆ strictMode()

static void Json::CharReaderBuilder::strictMode | ( | Json::Value * | settings | ) |
| static

Same as old Features::strictMode().

Precondition
  'settings' != NULL (but Json::null is fine)

Remarks
  Defaults:

## ◆ validate()

bool Json::CharReaderBuilder::validate | ( | Json::Value * | invalid | ) | const

Returns
  true if 'settings' are legal and consistent; otherwise, indicate bad settings via 'invalid'.

## Member Data Documentation

## ◆ settings_

Json::Value Json::CharReaderBuilder::settings_

Configuration of this builder. These are case-sensitive. Available settings (case-sensitive):

- `"collectComments": false or true`
  - true to collect comment and allow writing them back during serialization, false to discard comments. This parameter is ignored if allowComments is false.
- `"allowComments": false or true`
  - true if comments are allowed.
- `"strictRoot": false or true`
  - true if root must be either an array or an object value
- `"allowDroppedNullPlaceholders": false or true`
  - true if dropped null placeholders are allowed. (See StreamWriterBuilder.)
- `"allowNumericKeys": false or true`
  - true if numeric object keys are allowed.
- `"allowSingleQuotes": false or true`
  - true if '' are allowed for strings (both keys and values)
- `"stackLimit": integer`
  - Exceeding stackLimit (recursive depth of `readValue()`) will cause an exception.
  - This is a security issue (seg-faults caused by deeply nested JSON), so the default is low.
- `"failIfExtra": false or true`
  - If true, `parse()` returns false when extra non-whitespace trails the JSON value in the input string.
- `"rejectDupKeys": false or true`
  - If true, `parse()` returns false when a key is duplicated within an object.

You can examine 'settings_` yourself to see the defaults. You can also write and read them just like any JSON Value.

See also
  setDefaults()

The documentation for this class was generated from the following file:

- src/visualization/ParaViewCatalystIossAdapter/parser/jsoncpp-master/dist/json/json.h